Supported on Internet Explorer (Version 6.0 or Later), Safari (Version 2.x or Later) , & Firefox (Version 2.0 or Later) Web Browsers.
Requires an Active Internet Connection and Java

Java Version 1.5 & Later for Windows Based Systems
Java Version 1.4.x for Apple Macintosh Systems Running OS X 10.3.9
Java Version 1.5 & Later for Apple Macintosh Systems Running OS X 10.4.x and Later

Check your Java Here